Package org.eclipse.debug.core.model

## Interface IWatchExpressionListener

    public interface IWatchExpressionListener

A watch expression listener is notified when an `org.eclipse.debug.core.model.IWatchExpressionDelegate` completes an evaluation.

Since:
  3.0
See Also:
  `IWatchExpressionDelegate`, `IWatchExpressionResult`

### Method Summary

All Methods Instance Methods Abstract Methods
`void` `watchEvaluationFinished​(IWatchExpressionResult result)` Notifies the listener that an evaluation has completed.

### Method Detail

#### watchEvaluationFinished

    void watchEvaluationFinished​(IWatchExpressionResult result)

Notifies the listener that an evaluation has completed.

Parameters:
  `result` - the result of the evaluation